Error upgrade redmine 4.1.x to 4.2.x

2021-08-18 00:25 - Ricardo Estalder

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello All

Currently I trying to upgrade my docker redmine from 4.1.1 docker container to 4.2.x When i start the container there aren't any

problem on the logs file but the page return status 500:

"Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error."

So I proceed restarting the container and i get the following error bellow

can someone tell me if they are presenting the same issue

The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for

. Bundler is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswi

n32. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32

 x86-mswin32`.

The dependency ffi (>= 0) will be unused by any of the platforms Bundler is installing for. Bundle

r is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To 

add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-msw

in32`.

The Gemfile's dependencies are satisfied

[2021-08-17 18:08:25] INFO  WEBrick 1.6.1

[2021-08-17 18:08:25] INFO  ruby 2.7.4 (2021-07-07) [x86_64-linux]

[2021-08-17 18:08:25] INFO  WEBrick::HTTPServer#start: pid=1 port=3000

10.1.70.43 - - [17/Aug/2021:18:09:55 -04] "GET / HTTP/1.1" 302 135

- -> /

10.1.70.43 - - [17/Aug/2021:18:09:55 -04] "GET /login?back_url=http%3A%2F%2F10.1.1.33%3A2121%2F HT

TP/1.1" 500 648

- -> /login?back_url=http%3A%2F%2F10.1.1.33%3A2121%2F

[2021-08-17 18:10:09] FATAL SignalException: SIGTERM

    /usr/local/lib/ruby/2.7.0/webrick/server.rb:170:in `select'

    /usr/local/lib/ruby/2.7.0/webrick/server.rb:170:in `block in start'

    /usr/local/lib/ruby/2.7.0/webrick/server.rb:32:in `start'

    /usr/local/lib/ruby/2.7.0/webrick/server.rb:157:in `start'

    /usr/local/bundle/gems/rack-2.2.3/lib/rack/handler/webrick.rb:41:in `run'

    /usr/local/bundle/gems/rack-2.2.3/lib/rack/server.rb:327:in `start'
    /usr/local/bundle/gems/railties-5.2.6/lib/rails/commands/server/server_command.rb:53:in `start

'

    /usr/local/bundle/gems/railties-5.2.6/lib/rails/commands/server/server_command.rb:147:in `bloc

k in perform'

    /usr/local/bundle/gems/railties-5.2.6/lib/rails/commands/server/server_command.rb:142:in `tap'

    /usr/local/bundle/gems/railties-5.2.6/lib/rails/commands/server/server_command.rb:142:in `perf

orm'

    /usr/local/bundle/gems/thor-1.1.0/lib/thor/command.rb:27:in `run'

    /usr/local/bundle/gems/thor-1.1.0/lib/thor/invocation.rb:127:in `invoke_command'

    /usr/local/bundle/gems/thor-1.1.0/lib/thor.rb:392:in `dispatch'

    /usr/local/bundle/gems/railties-5.2.6/lib/rails/command/base.rb:69:in `perform'

    /usr/local/bundle/gems/railties-5.2.6/lib/rails/command.rb:46:in `invoke'

    /usr/local/bundle/gems/railties-5.2.6/lib/rails/commands.rb:18:in `<top (required)>'

    bin/rails:4:in `require'

    bin/rails:4:in `<main>'

[2021-08-17 18:10:09] INFO  going to shutdown ...

[2021-08-17 18:10:09] INFO  WEBrick::HTTPServer#start done.

=> Booting WEBrick

=> Rails 5.2.6 application starting in production on http://0.0.0.0:3000

=> Run `rails server -h` for more startup options

W, [2021-08-17T18:08:24.742371 #1]  WARN -- : Creating scope :system. Overwriting existing method 

Enumeration.system.

W, [2021-08-17T18:08:25.225328 #1]  WARN -- : Creating scope :sorted. Overwriting existing method 

Group.sorted.

W, [2021-08-17T18:08:25.261352 #1]  WARN -- : Creating scope :sorted. Overwriting existing method 

User.sorted.

I, [2021-08-17T18:09:55.121326 #1]  INFO -- : Started GET "/" for 10.1.70.43 at 2021-08-17 18:09:5

5 -0400

I, [2021-08-17T18:09:55.143458 #1]  INFO -- : Processing by WelcomeController#index as HTML

I, [2021-08-17T18:09:55.295689 #1]  INFO -- :   Current user: anonymous

I, [2021-08-17T18:09:55.298094 #1]  INFO -- : Redirected to http://10.1.1.33:2121/login?back_url=h

ttp%3A%2F%2F10.1.1.33%3A2121%2F

I, [2021-08-17T18:09:55.298195 #1]  INFO -- : Filter chain halted as :check_if_login_required rend

ered or redirected

I, [2021-08-17T18:09:55.298381 #1]  INFO -- : Completed 302 Found in 155ms (ActiveRecord: 16.9ms)

I, [2021-08-17T18:09:55.329836 #1]  INFO -- : Started GET "/login?back_url=http%3A%2F%2F10.1.1.33%

3A2121%2F" for 10.1.70.43 at 2021-08-17 18:09:55 -0400

I, [2021-08-17T18:09:55.330755 #1]  INFO -- : Processing by AccountController#login as HTML
I, [2021-08-17T18:09:55.330801 #1]  INFO -- :   Parameters: {"back_url"=>"http://10.1.1.33:2121/"}

I, [2021-08-17T18:09:55.333858 #1]  INFO -- :   Current user: anonymous

I, [2021-08-17T18:09:56.586039 #1]  INFO -- :   Rendering account/login.html.erb within layouts/ba

se

I, [2021-08-17T18:09:56.592443 #1]  INFO -- :   Rendered account/login.html.erb within layouts/bas

e (6.3ms)

I, [2021-08-17T18:09:56.661241 #1]  INFO -- : Completed 500 Internal Server Error in 1330ms (Activ

eRecord: 6.1ms)

F, [2021-08-17T18:09:56.662082 #1] FATAL -- :   

F, [2021-08-17T18:09:56.662124 #1] FATAL -- : ActionView::Template::Error (undefined method `auto_

complete_wiki_pages_path' for #<#<Class:0x00007f6d292d6520>:0x00007f6d292d4928>

Did you mean?  auto_complete_issues_path):

F, [2021-08-17T18:09:56.662307 #1] FATAL -- :     13: <%= stylesheet_link_tag 'rtl', :media => 'al

l' if l(:direction) == 'rtl' %>

    14: <%= javascript_heads %>

    15: <%= heads_for_theme %>

    16: <%= heads_for_auto_complete(@project) %>

    17: <%= call_hook :view_layouts_base_html_head %>

    18: <!-- page specific tags -->

    19: <%= yield :header_tags -%>

F, [2021-08-17T18:09:56.662338 #1] FATAL -- :   

F, [2021-08-17T18:09:56.662364 #1] FATAL -- : app/helpers/application_helper.rb:1808:in `autocompl

ete_data_sources'

app/helpers/application_helper.rb:1813:in `heads_for_auto_complete'

app/views/layouts/base.html.erb:16:in `_app_views_layouts_base_html_erb___1620968693567733192_7476

0'

lib/redmine/sudo_mode.rb:61:in `sudo_mode'

Exiting

The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for

. Bundler is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswi

n32. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32

 x86-mswin32`.

The dependency ffi (>= 0) will be unused by any of the platforms Bundler is installing for. Bundle

r is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To 

add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-msw

in32`.

The Gemfile's dependencies are satisfied

History

#1 - 2021-08-18 01:16 - Pavel Rosický

hi, you probably have an old version of https://github.com/redmine/redmine/blob/4.2-stable/config/routes.rb#L51 . Check how you link the config folder

into your container. Most probably it's a configuration issue on your side.
btw webrick isn't recommended for the production environment. You should consider a different web server like https://github.com/puma/puma

#2 - 2021-08-18 03:18 - Ricardo Estalder

thanks i will check that

#3 - 2022-01-19 08:00 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid
